# TextResource
Keywords: waveletCompression.i18n.TextResource class

## waveletCompression.i18n
Class TextResource

    java.lang.Object
      java.util.ResourceBundle
          waveletCompression.i18n.TextResource

Direct Known Subclasses:
  TextResources, TextResources_de

    public class TextResource

extends java.util.ResourceBundle

Author:
  Bettina Selig, Tilman Walther

Field Summary
`protected java.util.Hashtable` `data`

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`TextResource()`

Method Summary
`java.util.Enumeration` `getKeys()`
`java.util.ResourceBundle` `getParent()`
`java.lang.Object` `handleGetObject(java.lang.String key)`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    protected java.util.Hashtable data

Constructor Detail

### TextResource

    public TextResource()

Method Detail

### getKeys

    public java.util.Enumeration getKeys()

  Specified by:
    `getKeys` in class `java.util.ResourceBundle`

### handleGetObject

    public java.lang.Object handleGetObject(java.lang.String key)

  Specified by:
    `handleGetObject` in class `java.util.ResourceBundle`

### getParent

    public java.util.ResourceBundle getParent()